%define drupaldir %{_datadir}/drupal6
%define prerelease rc1
Name: drupal6-workspace
Version:  1.4
Release:  8.%{prerelease}%{?dist}
Summary: Allows users to have a central place to view and manage their content

Group: Applications/Publishing
License: GPLv2+
URL: http://drupal.org/project/workspace
Source0: http://ftp.drupal.org/files/projects/workspace-6.x-%{version}-%{prerelease}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: drupal6-workspace-gpl-2.0.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal6 >= 6.0

%description
Each user has his/her own workspace, which is accessible by following a 
"My workspace" link in the main site navigation, just like the 
"My account" link. The workspace interface is tabbed (in the Drupal 
6.x version) and shows Content, Comments, and Attachments (attachments 
are files the user has uploaded with Drupal core's upload module).

%prep

%setup -qn workspace

install -p -m 0644 %{SOURCE1} .

%build

%install
rm -rf %{buildroot}

#replace license with version with correct address.
rm LICENSE.txt
install -m 644 %{SOURCE2} LICENSE.txt

install -d %{buildroot}%{drupaldir}/modules/workspace
cp -pr * %{buildroot}%{drupaldir}/modules/workspace


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/workspace
%exclude %{drupaldir}/modules/workspace/LICENSE.txt
%exclude %{drupaldir}/modules/workspace/README.txt
%exclude %{drupaldir}/modules/workspace/%{name}-fedora-README.txt

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-8.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 28 2013 Jon Ciesla <limburgher@gmail.com> - 1.4-7.rc1
- Drop ancient Obsoletes, BZ 1002098.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Jon Ciesla <limb@jcomserv.net> - 1.4-2.rc1
- Fixed license perms.

* Mon Nov 28 2011 Jon Ciesla <limb@jcomserv.net> - 1.4-1.rc1
- Fixed license address, prerelease macro.

* Wed Jan 19 2011 Jon Ciesla <limb@jcomserv.net> - 1.4-0.rc1
- Fixed version, release, license.

* Fri Dec 03 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.1.4-3.rc1
- Fixed README naming.

* Fri Nov 13 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.1.4-2.rc1
- Fixed license tag.

* Tue Nov 10 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.1.4-1.rc1
- Fixed license tag.

* Mon Aug 03 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.1.4-0.rc1
- Updated to new version.

* Tue Sep 16 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.1.3-0
- Initial packaging.
